<!DOCTYPE html>
<html lang="es">
<!--
    PÁGINA DE SOPORTE Y CONTACTO PARA LOS USUARIOS
-->

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Formulario de Contacto</title>
    <link rel="stylesheet" href="components/Info/Info.css">
    <link rel="stylesheet" href="components/App-Bar/App-Bar.css">
    <link rel="stylesheet" href="components/Config/Config.css">
    <link rel="stylesheet" href="components/Nav-Bar/Nav-Bar.css">
    <link rel="stylesheet" href="css/contact.css">
    <script src="scripts/utils.js"></script>
</head>

<body>
    <!--
        Insertamos los componentes de la barra de aplicaciones,
        la navegación y el menú de configuración
    -->
    <header>
        <script type="module">
            import { AppBar } from './components/App-Bar/App-Bar.js';
            $('header').innerHTML = AppBar;
            $('#app-bar .Title').textContent = 'SOPORTE';
        </script>
    </header>
    <script type="module">
        import { Config } from './components/Config/Config.js';
        var configElement = document.createElement('div');
        configElement.innerHTML = Config;
        $('body').appendChild(configElement);
    </script>
    <nav>
        <script type="module">
            import { NavBar } from './components/Nav-Bar/Nav-Bar.js';
            $('nav').innerHTML = NavBar;
            $('#contact').classList.add('Selected');
        </script>
    </nav>
    <main>
        <!--
            Aquí metemos un formulario sencillo
        -->
        <form action="#" method="post">
            <fieldset>
                <legend>Contacto</legend>
                <div>
                    <label for="fName">Nombre:</label>
                    <input id="fName"
                        type="text" name="fName" required>
                </div>

                <div>
                    <label for="fEmail">Email:</label>
                    <input id="fEmail"
                        type="email" name="fEmail" required>
                </div>

                <div>
                    <label for="fCategory">Categoría:</label>
                    <input id="fCategory"
                        name="fCategory" list="fCategories"  required>
                    <datalist id="fCategories">
                        <option value="General">
                        <option value="Soporte Técnico">
                        <option value="Ventas">
                        <option value="Otros">
                    </datalist>
                </div>

                <div>
                    <label for="fMessage">Mensaje:</label>
                    <textarea id="fMessage"
                        name="fMessage" rows="15" required></textarea>
                </div>
            </fieldset>
            <div class="Actions">
                <input type="reset" value="Borrar Formulario">
                <input type="submit" value="Enviar">
            </div>
        </form>
    </main>
    <footer>
        <script type="module">
            import { Info } from "./components/Info/Info.js";
            $("footer").innerHTML = Info;
        </script>
    </footer>
</body>

</html>